Package org.apache.avro.util

# Class ClassSecurityValidator.Builder

java.lang.Object
org.apache.avro.util.ClassSecurityValidator.Builder

Enclosing class:
  `ClassSecurityValidator`

public static class ClassSecurityValidator.Builder extends Object

## Method Summary

Modifier and Type
Method
Description
`ClassSecurityValidator.Builder`
`add(Class<?> clazz)`
`ClassSecurityValidator.Builder`
`add(String className)`
`ClassSecurityValidator.ClassSecurityPredicate`
`build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### add

public ClassSecurityValidator.Builder add(String className)

### add

public ClassSecurityValidator.Builder add(Class<?> clazz)

### build

public ClassSecurityValidator.ClassSecurityPredicate build()